# HighPoint tarball used --
# RR272x_1x_Linux_Src_v1.5.15_15_01_20.tar.gz

# Define the kmod package name here.
%define kmod_name rr272x_1x

# Define the bundle name and source creation date-time here.
%define	bundle_name RR272x_1x_Linux_Src
%define	scd 15_01_20

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-504.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 1.5.15
Release: 2%{?dist}
Group:   System Environment/Kernel
License: Open Source but Proprietary
Summary: %{kmod_name} kernel module(s)
URL:     http://www.highpoint-tech.com/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  %{bundle_name}_v%{version}_%{scd}.tar.gz
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh
Source15: ELRepo-%{kmod_name}-modules
Source20: R2700_DS_120307.pdf
Source25: Rocket_272x_Quick_Installation_Guide.pdf
Source30: RocketRAID_27xx_26xx_Compatibility_List.pdf

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the HighPoint RocketRAID %{kmod_name} kernel module(s).
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -c -n %{bundle_name}_v%{version}_%{scd}
./%{bundle_name}_v%{version}_%{scd}.bin --noexec --target ./
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf
echo "blacklist sata_mv" > blacklist-sata_mv.conf

%build
pushd product/rr272x/linux >/dev/null
%{__make} KERNELDIR=%{_usrsrc}/kernels/%{kversion}
popd >/dev/null

%install
%{__install} -d %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} product/rr272x/linux/%{kmod_name}.ko %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_sysconfdir}/modprobe.d/
%{__install} blacklist-sata_mv.conf %{buildroot}%{_sysconfdir}/modprobe.d/
%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig/modules/
%{__install} %{SOURCE15} %{buildroot}%{_sysconfdir}/sysconfig/modules/%{kmod_name}.modules
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE20} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE25} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE30} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} README %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Wed Mar 04 2013 Alan Bartlett <ajb@elrepo.org> - 1.5.15-1
- Adjustments to the code following the prep macro.

* Wed Mar 04 2013 Alan Bartlett <ajb@elrepo.org> - 1.5.15-1
- Initial el6 build of the kmod package.
